std::swap(std::basic_fstream)(3)

NAME
std::swap(std::basic_fstream) - std::swap(std::basic_fstream)

Synopsis
   template< class CharT, class Traits >
   void swap( basic_fstream<CharT,Traits> &lhs, basic_fstream<CharT,Traits> &rhs );
   Specializes the std::swap algorithm for std::basic_fstream. Exchanges the state of
   lhs with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - streams whose state to swap

Return value
   (none)

Exceptions
   May throw implementation-defined exceptions.

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps two file streams
   (C++11) (public member function)